Support » Plugins and Hacks » WP Audio Player » Not work in FF and Opera

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Contributor tommcfarlin

    (@tommcfarlin)


    This has been tested in Firefox but it uses the default embed functionality rather than the styled player (as Firefox doesn’t support the styled player).

    What version of Firefox you using, what OS are you using, and what version of WP Audio Player are you using?

    A lot of work was done in 1.5 to help support Firefox.

    The latest version of the plugin is unstable. Take a look please, this is my blog.

    WP Audio Player appears in Opera (how to say it in english??) – through time. Sometimes WP Audio Player layer does not appear on the page. Sometimes – displayed.

    http://pix.academ.org/img/2013/02/21/f50d01380a4d68ac0a1bf8b6f1fbbdf4.png

    This problem does not exist in the original code – see.

    Look, I open a page of a blog in Mozilla Firefox:

    http://pix.academ.org/img/2013/02/21/dda2cf9f232042adc39fb4b74f178d78.png

    And – other page in the same browser:

    http://pix.academ.org/img/2013/02/21/aaf8353d33c55248ca2738af7fcd55d8.png

    Installation of plug-ins in Fedora18 does not give result:

    http://pix.academ.org/img/2013/02/21/684d2b5bd9b4be86a62af995168da790.png

    But – the original code works without problems… WP Audio Player – requires plug-ins.

    Thank you for your time and your work.

    P.S. In Google Chrome player works without problems.

    P.P.S. OS – Fedora 18. WP Audio Player – v.1.5.

    Mozilla Firefox –
    {
    “application”: {
    “name”: “Firefox”,
    “version”: “18.0.2”,
    “userAgent”: “Mozilla/5.0 (Windows NT 6.1; rv:10.0) Gecko/20100101 Firefox/10.0”,

    Opera – v.12.14 Сборка:1738 Платформа:Linux Система:i686, 3.7.8-202.fc18.i686

    Hi,

    It’s not working for me either.

    Linux Mint 14 (Ubuntu 12.10) – Firefox 18.0.2
    WP Audio Player 1.6 with WP 3.5.1

    “Heads up! This browser doesn’t support WP Audio Player, so it’s using the basic player.”

    Nothing appears using Chromium.

    It works well on Mac with lastest Chrome & Safari.

    Thanks for fixing

    A lot of work was done in 1.5 to help support Firefox.

    In version 1.6 the problem still remained.

    In Firefox on Ubuntu, the fallback player does appear properly…
    http://dev.openflips.com/cometik/creation/justine/

    Why is it working fine with the original player ?

    Why is it working fine with the original player ?

    Good question.
    Original player works without problems.

    Plugin Contributor tommcfarlin

    (@tommcfarlin)


    As best as I can tell (as I don’t have machines with all variations of operating systems and Firefox versions), certain versions of Firefox support the embed element whereas others support the audio element.

    > A lot of work was done in 1.5 to help support Firefox.

    This is true – there were some major issues on some of the other platforms with this plugin, so work was done to make sure it worked on the platforms that others reported.

    Unfortunately, it introduced a regression on other platforms.

    So, with that said, I’m going to work exclusively on Firefox-related issues in 1.7 to see if I can’t iron out all of the incompatibilities.

    In the mean time, the best work around I can suggest is to use the version of the plugin that works the best.

    I appreciate the feedback and will do what I can to provide the update as soon as possible.

    Hello guys,

    what do you mean by ‘original player’? I have a 2.0.4.6 version in my WP and it doesn’t appear in FF :/

    What can I do now?

    I’ve noticed that it appears for a moment and then disappears.

    Code of my player:

    <p class=”audioplayer_container”><div class=”fluid-width-video-wrapper” style=”padding-top: 8.27586%;”><object type=”application/x-shockwave-flash” name=”audioplayer_1″ style=”outline: none” data=”http://mysiteexample.com/wp-content/plugins/audio-player/assets/player.swf?ver=2.0.4.6″ id=”audioplayer_1″><param name=”bgcolor” value=”#FFFFFF”><param name=”wmode” value=”transparent”><param name=”menu” value=”false”><param name=”flashvars” value=”animation=yes&encode=yes&initialvolume=60&remaining=no&noinfo=no&buffer=5&checkpolicy=no&rtl=no&bg=E5E5E5&text=333333&leftbg=CCCCCC&lefticon=333333&volslider=666666&voltrack=FFFFFF&rightbg=B4B4B4&rightbghover=999999&righticon=333333&righticonhover=FFFFFF&track=FFFFFF&loader=5080ca&border=CCCCCC&tracker=f0f0f0&skip=666666&soundFile=aHR0cDovL2NpZXNpZWxza2kuc3Ryb255ZGxhcGFyYWZpaS5wbC93cC1jb250ZW50L3VwbG9hZHMvMjAxMy8wMi9TbGVlcC1Bd2F5Lm1wMw&playerID=audioplayer_1″></object></div></p>

    Plugin Contributor tommcfarlin

    (@tommcfarlin)


    I think you’re posting on the wrong forum.

    You mention version “2.0.4.6” but my plugin only goes up to “1.9.”

    I’ve tested it from Firefox 18+ and it works fine. Confirm that you’re posting on the right forum and let me know.

    Beg me pardon… That’s right, I’m talking about different plugin. Is your plugin working in IE8? I’ve checked it and it looks weird there.

    Thank you for your answer, Tom!

    Plugin Contributor tommcfarlin

    (@tommcfarlin)


    WP Audio Player now works in IE8 but there’s a caveat: IE8 doesn’t natively support for audio, so I’ve introduced functionality that adds a player, it’s just not as nice as the one that displays in the rest of the more recent browsers.

    As much as it pains me to say it, it’s the best I can do (though I wish it could be more :).

    FF v.19.0.2 Mozilla/5.0 (Windows NT 6.1; rv:10.0) Gecko/20100101 Firefox/10.0
    OS – Fedora 18
    WP Audio Player v.1.9

    http://pix.academ.org/img/2013/03/21/4fb2382917e1374ba2fd4f099dd74a09.png

    Help me, my God! 🙁

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Not work in FF and Opera’ is closed to new replies.